RagTime5ClusterManagerInternal::UnknownCParser Struct Reference documentation

RagTime5ClusterManagerInternal::UnknownCParser Struct Referencefinal

low level: parser of unknown cluster More...

Inheritance diagram for RagTime5ClusterManagerInternal::UnknownCParser:

## Public Member Functions
| UnknownCParser (RagTime5ClusterManager &parser, int type)
| constructor
| ~UnknownCParser () final
| destructor
std::shared_ptr< RagTime5ClusterManager::Cluster > | getCluster () final
| return the current cluster
Public Member Functions inherited from RagTime5ClusterManager::ClusterParser
| ClusterParser (RagTime5ClusterManager &parser, int type, std::string const &zoneName)
| constructor
virtual | ~ClusterParser ()
| destructor
virtual std::string | getZoneName () const
| return the debug name corresponding to a zone
virtual std::string | getZoneName (int n, int m=-1) const
| return the debug name corresponding to a cluster
virtual void | startZone ()
| start a new zone
virtual bool | parseZone (MWAWInputStreamPtr &, long, int, int, libmwaw::DebugStream &)
| parse a zone
virtual void | endZone ()
| end of a start zone call
virtual bool | parseField (RagTime5StructManager::Field const &, int, libmwaw::DebugStream &)
| parse a the data of a zone, n_dataId:m
virtual int | getNewZoneToParse ()
| returns to new zone to parse.
bool | isANameHeader (long N) const
| return true if N correspond to a file/script name
bool | readLinkHeader (MWAWInputStreamPtr &input, long fSz, Link &link, long(&values)[4], std::string &message)
| try to read a link header
std::string | getClusterDebugName (int id)
| returns "data"+id+"A" ( followed by the cluster type and name if know)

## Protected Attributes
std::shared_ptr< RagTime5ClusterManager::Cluster > | m_cluster
| the current cluster

## Additional Inherited Members
Public Attributes inherited from RagTime5ClusterManager::ClusterParser
RagTime5ClusterManager & | m_parser
| the main parser
int | m_type
| the cluster type
bool | m_hiLoEndian
| zone endian
std::string | m_name
| the cluster name
int | m_dataId
| the actual zone id
Link | m_link
| the actual link

## Detailed Description

low level: parser of unknown cluster

## Constructor & Destructor Documentation

## ◆ UnknownCParser()

RagTime5ClusterManagerInternal::UnknownCParser::UnknownCParser | ( | RagTime5ClusterManager & | parser,
|  | int | type )
| inline

constructor

## ◆ ~UnknownCParser()

RagTime5ClusterManagerInternal::UnknownCParser::~UnknownCParser | ( |  | ) |
| final

destructor

Referenced by ~UnknownCParser().

## Member Function Documentation

## ◆ getCluster()

std::shared_ptr< RagTime5ClusterManager::Cluster > RagTime5ClusterManagerInternal::UnknownCParser::getCluster | ( |  | ) |
| inlinefinalvirtual

return the current cluster

Implements RagTime5ClusterManager::ClusterParser.

Referenced by getCluster().

## Member Data Documentation

## ◆ m_cluster

std::shared_ptr<RagTime5ClusterManager::Cluster> RagTime5ClusterManagerInternal::UnknownCParser::m_cluster
| protected

the current cluster

Referenced by getCluster(), and UnknownCParser().

The documentation for this struct was generated from the following file:

- RagTime5ClusterManager.cxx